Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-41321

Stopping 'mongod-powertest' service returns an error on Windows

    XMLWordPrintable

    Details

    • Backwards Compatibility:
      Fully Compatible
    • Operating System:
      ALL
    • Sprint:
      STM 2019-06-03
    • Linked BF Score:
      50
    • Story Points:
      1

      Description

      [2019/05/17 14:58:26.546] 2019-05-17 14:58:25,787 INFO System was last booted 2019-05-17 14:46:34.000000, up 711 seconds
      [2019/05/17 14:58:26.546] 2019-05-17 14:58:25,787 INFO Operations to perform ['kill_mongod']
      [2019/05/17 14:58:26.546] Traceback (most recent call last):
      [2019/05/17 14:58:26.546]   File "powertest.py", line 890, in stop
      [2019/05/17 14:58:26.546]     win32serviceutil.StopService(serviceName=self.name)
      [2019/05/17 14:58:26.546]   File "C:\cygwin\home\Administrator\venv_powercycle\lib\site-packages\win32\lib\win32serviceutil.py", line 409, in StopService
      [2019/05/17 14:58:26.546]     return ControlService(serviceName, win32service.SERVICE_CONTROL_STOP, machine)
      [2019/05/17 14:58:26.546]   File "C:\cygwin\home\Administrator\venv_powercycle\lib\site-packages\win32\lib\win32serviceutil.py", line 320, in ControlService
      [2019/05/17 14:58:26.546]     status = win32service.ControlService(hs, code)
      [2019/05/17 14:58:26.546] pywintypes.error: (109, 'ControlService', 'The pipe has been ended.')
      [2019/05/17 14:58:26.546] During handling of the above exception, another exception occurred:
      [2019/05/17 14:58:26.546] Traceback (most recent call last):
      [2019/05/17 14:58:26.546]   File "powertest.py", line 2548, in <module>
      [2019/05/17 14:58:26.546]     main()
      [2019/05/17 14:58:26.546]   File "powertest.py", line 2128, in main
      [2019/05/17 14:58:26.546]     ret = remote_handler(options, args)
      [2019/05/17 14:58:26.546]   File "powertest.py", line 1202, in remote_handler
      [2019/05/17 14:58:26.546]     mongod.stop(timeout=30)
      [2019/05/17 14:58:26.546]   File "powertest.py", line 1080, in stop
      [2019/05/17 14:58:26.546]     return self.service.stop(timeout)
      [2019/05/17 14:58:26.546]   File "powertest.py", line 904, in stop
      [2019/05/17 14:58:26.546]     output = "{}: {}".format(err[1], err[2])
      [2019/05/17 14:58:26.546] TypeError: 'error' object does not support indexing
      

      https://evergreen.mongodb.com/task/mongodb_mongo_master_windows_64_2k8_ssl_powercycle_kill_mongod_39413ef58dd1f667728b67c86e1bf09146952242_19_05_16_20_32_34/0

        Attachments

          Issue Links

            Activity

              People

              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: